package speiger.src.coreengine.utils.tasks;

public class ArrayRunnable implements Runnable
{
	Runnable[] array;
	
	public ArrayRunnable(Runnable... array) {
		this.array = array;
	}
	
	@Override
	public void run() {
		for(int i = 0,m=array.length;i<m;i++) {
			array[i].run();
		}
	}
}
